%A script to visualize the variation of the Musker constant a and the
%yt of the standard profile as function of the Pr/Pr_t ratio.
clear all
close all
clc

a0  = 10.306;
vk0 = 0.4187;
prt = 1;
yv0 = 11.225;

pr=logspace(-5,5,1000);
a=zeros(size(pr));
ea=zeros(size(pr));
yv=zeros(size(pr));
ey=zeros(size(pr));
pj=zeros(size(pr));
n=zeros(size(pr));

for i=1:length(pr)   
    theta=3*vk0*a0*(pr(i)/prt);
    phi=3*(a0*vk0-1);
    psi=theta*phi/2;
    eta=(1+theta*(psi+sqrt(psi^2+phi)))^(1/3);
    a(i)=(1+eta+eta^2)*a0/(theta*eta);
    ea(i)=abs((vk0*a0)^2*(vk0*a0-1)-(vk0*a(i))^2*((pr(i)/prt)*vk0*a(i)-1));
    
    [yv(i),ey(i),n(i)] = iteryv(yv0,vk0,pr(i)/prt,10);
end

figure()
loglog(pr/prt,a/a0,'k',pr/prt,yv/yv0,'k--',pr/prt,(prt)*pr.^(-1),'r',pr/prt,(prt^(1/3))*pr.^(-1/3),'b')
legend('a(Pr,Prt)/a0','y_T(Pr,Prt)/y_v','(Pr/Pr_t)^-^1','(Pr/Pr_t)^-^1^/^3')
xlabel('Pr/Pr_t')

figure()
loglog(pr/prt,ey,pr/prt,ea)
legend('E(y_T^*)','E(a(Pr,Pr_t))')
xlabel('Pr/Pr_t')
ylabel('E')