function [yv,err,i] = iteryv(yv0,k,prprt,nmax)
%Performs iterations to find yt in the standardsp wall function using a
%Jayatilleke term

P=9.24*((prprt^0.75-1)*(1+0.28*exp(-0.007*prprt)));
yv=yv0*max(prprt^(-1),prprt^(-1/4));
err=1;
toll=1e-10;

for i = 1:nmax
    f0=(yv0+P+log((1+k*yv)/(1+k*yv0))/k)/prprt;
    f1=yv-f0;
    df1=1-1/((1+k*yv)*prprt);
    f2=2*df1*f1;
    df2=2*df1^2-f1*k/(prprt*(1+k*yv)^2);
    
    if df2~=0 %Halley method
        yvn = yv - f2/df2;
    else
        if df1~=0 %Newton method
            yvn = yv - f1/df1;
        else %Fixed point iteration
            yvn = f0;
        end
    end
    err=abs(f1);
    if ((err<toll*yv)&&(abs(yv-yvn)<toll*yv))
        break
    end
    yv=yvn;
end

    