function [ait,fait,itend] = spiter(Re,Fu,cypl,spfunction)
%Function that performs Newton-Raphson iterations to find theta_p that
%solves the implicit tau_wall equation

toll1 = 1e-14;
toll2 = 100*eps;
nit   = 100;

f0=(Re-Fu/2);
atn = f0;
at  = atn+2*max(toll1*abs(atn),toll2);

it=0;
ait=zeros(nit,1);
fait=zeros(nit,1);
while ((abs(atn-at)>max(toll1*abs(at),toll2))&&(it<nit))
    it=it+1;
    at=atn;
    ypl=sqrt(abs(at)+cypl);
    [s,~,q] = spfunction(ypl);

    f  = (Re-Fu*s(2))/s(1);
    df = -sign(at)*(f*q(1)+Fu*q(2))/(2*s(1));

    if (df>=1)
        %Skip problematic branch and avoid division by 0 in Newton
        df=0;
    end

    atn = (f-at*df)/(1-df);
    
    ait(it)=at;
    fait(it)=f;
end
itend = it+1;
ait(itend)=atn;
fait(itend)=f;