%Script to plot the solution theta_p to the tau_w equation for a range of
%Re_p and F_p values
clear all
close all
clc

nRe = 1001;
nFu = 1001;

%Re = y+*u+
Remin = 0;
Remax = 5000;
Fumin = 0;
Fumax = 5000;

a0   = 10.306;
vk0  = 0.384;

Re = linspace(Remin,Remax,nRe);
Fu = linspace(Fumin,Fumax,nFu);

[X,Y] = meshgrid(Re,Fu);
theta = zeros(nFu,nRe);
nit   = zeros(nFu,nRe);

for i = 1: nRe
    disp(strcat(num2str(i*100/nRe),"%"))
    for j = 1: nFu
        cypl=abs(Fu(j))^(2/3);
        [ait,fait,it] = spiter(Re(i),Fu(j),cypl,@(x) muskersp(x,a0,vk0,0,1));
        theta(j,i) = ait(it);
        nit(j,i)   = it;

%         mutmu= @(y,a,vk) (vk*y).^3./((vk*y).^2+(vk*a)^3-(vk*a)^2);
%         [ait,fait,it] = spiter(Re(i),Fu(j),cypl,@(x) numericalsp(x,@(y) mutmu(y,a0,vk0),0,1));
%         theta(j,i) = ait(it);
%         nit(j,i)   = it;

%         ypl=sqrt(abs(theta(j,i))+cypl);
%         nuH=vk0*ypl;
%         nn=max(101,min(Re(i)/50,abs(Fu(j))/50));
%         [yc,yn,dist,u,t,nut,mut,res,it] = sa1d(1,1,1,1,Fu(j),0,0,1,0,Re(i),0,0,0,nuH,nuH,1,0,a0,vk0,0,500,1e-10,0.5,'gratio',1.01,nn);
%         theta(j,i) = u(1)/yc(1);
%         nit(j,i)   = it;
    end
end

figure()
imagesc(Re,Fu,theta); ax=gca; ax.YDir='normal';
xlabel('Re')
ylabel('Fu')
title('\theta')
colormap jet

figure()
imagesc(Re,Fu,nit); ax=gca; ax.YDir='normal';
xlabel('Re')
ylabel('Fu')
title('N_i_t')
colormap jet